gdata.tlslite.X509 | index /usr/local/lib/python2.6/dist-packages/gdata/tlslite/X509.py

`Class representing an X.509 certificate.`

Modules

``

Crypto array | base64 binascii | math os | sys traceback

Classes

``

X509

class X509
`` | `This class represents an X.509 certificate. @type bytes: L{array.array} of unsigned bytes @ivar bytes: The DER-encoded ASN.1 certificate @type publicKey: L{tlslite.utils.RSAKey.RSAKey} @ivar publicKey: The subject public key from the certificate.`

Methods defined here:

__init__(self)

getCommonName(self)
  `Get the Subject's Common Name from the certificate.
  The cryptlib_py module must be installed in order to use this
  function.
  @rtype: str or None
  @return: The CN component of the certificate's subject DN, if
  present.`

getFingerprint(self)
  `Get the hex-encoded fingerprint of this certificate.
  @rtype: str
  @return: A hex-encoded fingerprint.`

parse(self, s)
  `Parse a PEM-encoded X.509 certificate.
  @type s: str
  @param s: A PEM-encoded X.509 certificate (i.e. a base64-encoded
  certificate wrapped with "-----BEGIN CERTIFICATE-----" and
  "-----END CERTIFICATE-----" tags).`

parseBinary(self, bytes)
  `Parse a DER-encoded X.509 certificate.
  @type bytes: str or L{array.array} of unsigned bytes
  @param bytes: A DER-encoded X.509 certificate.`

writeBytes(self)

Functions

``

sha1 = openssl_sha1(...)
  `Returns a sha1 hash object; optionally initialized with a string`

Data
`` |  | cryptlibpyLoaded = False gmpyLoaded = False m2cryptoLoaded = False prngName = 'os.urandom' pycryptoLoaded = True sieve = [2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, ...]